/*******************************************************************************
* STD_UART0.H - Lib 
*
*******************************************************************************/

//#define STU_FLAGS_ECHO  1 No Echo for Sensors
#define STU_IGNORE_CR   2
#define STU_IGNORE_LF   4

typedef struct{
  uint8_t error_state; // 3 Errors (EVTDRV,FIFI,EVTDRV+FIFO), see LTX_DEFS.h
#ifdef DEBUG
  uint32_t drv_error_cnt;
  uint32_t fifo_error_cnt;
  uint32_t rx_data_cnt;
  uint32_t tx_done_cnt;
#endif
} STU_STATISTICS;
#ifdef DEBUG
  extern STU_STATISTICS stu_stat;
#endif

void stu_init(void);
void stu_uninit(void);

int16_t stu_tx_bin_block(uint8_t *pu, size_t ulen);
int16_t stu_putc(char c);
int16_t stu_printf(char* fmt, ...);
int16_t stu_kbhit(void);
int16_t stu_getc(void);
int16_t stu_gets(char* input, int16_t max_uart_in, uint16_t max_wait_ms, uint8_t echo);
void stu_clear_error_state(void);


//**
